Package org.eclipse.ecf.filetransfer

# Interface IFileTransferListener

public interface IFileTransferListener
Listener for handling file transfer events. Instances implementing this interface or sub-interfaces will have their handleTransferEvent called asynchronously when a given event is received. Implementers must be prepared to have this method called asynchronously by an arbitrary thread.

Note these methods will be called asynchronously when notifications of remote changes are received by the provider implementation code. The provider is free to call the methods below with an arbitrary thread, so the implementation of these methods must be appropriately prepared.

For example, if the code implementing any of these methods must interact with user interface code, then it should use code such as the following to execute on the SWT UI thread:

            Display.getDefault().asyncExec(new Runnable() {
                    public void run() {
                    ... UI code here
                    }
            });

Further, the code in the implementations of these methods should not block via I/O operations or blocking UI calls.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleTransferEvent(IFileTransferEvent event)`
Handle file transfer events

## Method Details

### handleTransferEvent

void handleTransferEvent(IFileTransferEvent event)
Handle file transfer events

Parameters:
  `event` - the event to be handled. should not be `null`.